package com.ichaoj.ams.response.task;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ichaoj.ams.constant.AmsConstant;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author : cjwen
 * @date : 2023/05/17 14:57
 */
@Data
@Schema(title = "空投任务")
public class TaskResponse {

    /**
     * 主键
     */
    private String amsTaskId;

    /**
     * 任务名称
     */
    private String taskName;

    /**
     * 合约地址
     */
    private String contractAddress;

    /**
     * 任务类型
     */
    private AmsConstant.TaskType taskType;

    /**
     * 任务状态;是否完成(0否，1是)
     */
    private Integer taskStatus;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;


    private String amsProjectId;

    /**
     * 项目logo
     */
    private String projectLogo;

    /**
     * 项目名称
     */
    private String projectName;


}
